Subject: Re: [REMOTEUI] Widex charter proposal draft

From: Dean Willis <[email-masked]>
Date: Mon, 03 Oct 2005 14:55:08 -0500

Either the list stopped talking, or I fell off a few weeks ago. Let's 
find out which. Further comment in-line.

Dave Raggett wrote:
> One thing that came up was the need for the server to be able
> to send events to the UI as well as updates. The UI may have
> default event handlers for these events, or such event handlers
> may be set via markup or scripts. In some cases the DOM update
> messages may not be needed.
> 

Wouldn't an event indicate a modification of the XML content, such as 
changing the status of a push-button from unselected to selected? If so, 
I think that's covered in the draft charter asa "DOM mutation/update"

or do you see events as being an altogether different sort of thing?

> I am unsure about the "WiDeX" name, as the protocol isn't really about 
> widgets, and I believe that "Widget Description Exchange Service" will 
> confuse people since the protocol won't define widgets. I understand 
> that "Remote User Interface" may be seen as too broad, so it seems like 
> we should continue to look for a more apt name than either WiDeX or 
> RemoteUI.

How about DOMSYNC as a WG name?

> With a view to chartering the working group in time for Vancouver,
> it seems like it would be a good idea to get some feedback from
> the Area directors on the draft charter, so that we can make any
> necessary changes before formally submitting the charter.
> Is this an action you could take on?

Let's clear up the event question above, then bring in the AD.

--
Dean

_______________________________________________
REMOTEUI mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/remoteui